package itso.bank.facade.ejb;

import itso.bank.model.ejb.Account;
import itso.bank.model.ejb.Customer;
import itso.bank.model.ejb.Transaction;

import javax.ejb.Remote;
@Remote
public interface BankFacadeRemote {

	public Account getAccount(String accountNumber) throws Exception;

	public Customer getCustomer(String ssn) throws Exception;

	public void updateCustomer(String ssn, String title, String firstName,
			String lastName) throws Exception;

	public Account[] getAccounts(String ssn) throws Exception;

	public Transaction[] getTransactions(String accountNumber) throws Exception;

	public void deposit(String accountNumber, int amount) throws Exception;

	public void withdraw(String accountNumber, int amount) throws Exception;

	public void transfer(String debitAccountNumber, String creditAccountNumber,
			int amount) throws Exception;

}