package itso.bank.model.ejb;



import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.NamedQueries;

@Entity
@DiscriminatorValue("Credit")
@NamedQueries({
	@NamedQuery(name="getCredit", query="SELECT c FROM Credit c"),
	@NamedQuery(name="getCreditOrdered", query = "SELECT c FROM Credit c ORDER BY c.id"),
	@NamedQuery(name="getCreditByAmount", query = "SELECT c FROM Credit c WHERE c.amount = :amount"),
	@NamedQuery(name="getCreditByTranstype", query = "SELECT c FROM Credit c WHERE c.transtype = :transtype"),
	@NamedQuery(name="getCreditByTranstime", query = "SELECT c FROM Credit c WHERE c.transtime = :transtime")})
public class Credit extends Transaction {
	public int getSignedAmount() throws Exception {
		return getAmount();
	}
}
