package itso.bank.model.ejb;



import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.NamedQueries;

@Entity
@DiscriminatorValue("Debit")
@NamedQueries({
	@NamedQuery(name="getDebit", query="SELECT d FROM Debit d"),
	@NamedQuery(name="getDebitOrdered", query = "SELECT d FROM Debit d ORDER BY d.id"),
	@NamedQuery(name="getDebitByAmount", query = "SELECT d FROM Debit d WHERE d.amount = :amount"),
	@NamedQuery(name="getDebitByTranstype", query = "SELECT d FROM Debit d WHERE d.transtype = :transtype"),
	@NamedQuery(name="getDebitByTranstime", query = "SELECT d FROM Debit d WHERE d.transtime = :transtime")})
public class Debit extends Transaction {
	
	public int getSignedAmount()
	throws Exception
{
return -getAmount();
}

}
